Application A P I
Get egg
Returns a single egg by internal numeric ID.
GET
/api/application/eggs/{egg_id}Authorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
egg_id*integer
The egg ID.
Query Parameters
include?string
Comma-separated relationships to include. Supports "servers", "config", "script", "variables", and "tags" when the key can read those resources.
Value in
- "servers"
- "config"
- "script"
- "variables"
- "tags"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/application/eggs/1?include=variables"{ "object": "egg", "attributes": { "id": 9829, "uuid": "d4ee260c-fe89-48ac-b3e1-370bb4c028c6", "name": "Alanis McLaughlin", "author": "[email protected]", "description": "Modi ipsum nostrum omnis autem et. Aut dolores enim non facere tempora ex voluptatem. Praesentium quis adipisci molestias fugit.", "docker_image": "ghcr.io/pterodactyl/yolks:java_23", "docker_images": { "Java 23": "ghcr.io/pterodactyl/yolks:java_23" }, "config": { "files": { "server.properties": { "parser": "properties", "find": { "server-port": "{{server.build.default.port}}" } } }, "startup": { "done": [ "Done" ] }, "stop": "stop", "logs": { "custom": true, "location": "logs/latest.log" }, "file_denylist": [ "secret.txt" ], "extends": 0 }, "startup": "java -jar test.jar", "script": { "privileged": true, "install": "string", "entry": "ash", "container": "alpine:3.4", "extends": 0 }, "created_at": "2026-09-22T14:45:23+00:00", "updated_at": "2026-09-22T14:45:23+00:00" }}